Next Previous Contents

## 3.11 CLI

> Function

>   Insert a 6502 CLI instrunction into the code.

> Header

>   `6502.h`

> Declaration

>   `void CLI (void);`

> Description

>   The function will insert a 6502 CLI instruction into the code, so interrupts are enabled. Enabling interrupts has no effects if they are already enabled (the default).

> Limits

>   - The function is actually a macro.
>   - Disabling interrupts may lead to unexpected results.
> Availability

>   cc65

> See also

>   BRK, SEI

> Example

>   None.

Next Previous Contents